import React from "react";
import GameSmallList from "@components/GameSmallList";
import {useThemeProvider} from "@contexts/themeContext";
import {useSelector} from "react-redux";
import {getUserInfo} from "@features/mainSlice";

const ModuleGameSmallList=({data})=>{
    const {isMobile} = useThemeProvider();
    const user=useSelector(getUserInfo);
    let list=data.data;
    let len=list!=null&&list.length>0?list.length:0;
    return (
        <>
            {
                len>0?(
                    <div className={``}>
                        <GameSmallList data={data} user={user}>

                        </GameSmallList>
                    </div>
                ):(<></>)
            }
        </>

    )
}
export default ModuleGameSmallList;
